# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-15 05:20
from __future__ import unicode_literals

from django.db import migrations, models
import model_utils.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Feed',
            fields=[
                ('guid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('context', models.TextField(blank=True, null=True)),
                ('action', models.CharField(blank=True, max_length=50, null=True)),
                ('occurred_at', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'feeds',
            },
        ),
        migrations.CreateModel(
            name='Study',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('study_id', models.IntegerField(unique=True)),
                ('guid', models.UUIDField(unique=True)),
                ('src_facility_guid', models.UUIDField(blank=True, null=True)),
                ('src_facility_name', models.CharField(blank=True, max_length=100, null=True)),
                ('modality', models.CharField(blank=True, max_length=10, null=True)),
                ('priority', models.CharField(blank=True, max_length=10, null=True)),
                ('time_sent', models.DateTimeField(blank=True, null=True)),
                ('time_received', models.DateTimeField(blank=True, null=True)),
                ('time_reported', models.DateTimeField(blank=True, null=True)),
                ('status', model_utils.fields.StatusField(choices=[('active', 'active'), ('inactive', 'inactive')], default='active', max_length=100, no_check_for_status=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'studies',
            },
        ),
        migrations.CreateModel(
            name='TurnAroundTime',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('study_guid', models.UUIDField(unique=True)),
                ('day', models.DateTimeField()),
                ('turn_around_time', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('doctor_guid', models.UUIDField(blank=True, null=True)),
                ('doctor_name', models.CharField(blank=True, max_length=100, null=True)),
                ('src_facility_guid', models.UUIDField(blank=True, null=True)),
                ('src_facility_name', models.CharField(blank=True, max_length=100, null=True)),
                ('modality', models.CharField(blank=True, max_length=10, null=True)),
                ('priority', models.CharField(blank=True, max_length=10, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'turn_around_time',
            },
        ),
    ]
